/*
 * Class WEL_ERROR
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_142 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_142 [] = {0xFF01,1551,141,0xFFFF};
static const EIF_TYPE_INDEX egt_2_142 [] = {0xFF01,141,0xFFFF};
static const EIF_TYPE_INDEX egt_3_142 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_142 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_142 [] = {0xFF01,141,0xFFFF};
static const EIF_TYPE_INDEX egt_6_142 [] = {0xFF01,141,0xFFFF};
static const EIF_TYPE_INDEX egt_7_142 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_142 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_142 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_142 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_142 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_142 [] = {0xFF01,141,0xFFFF};
static const EIF_TYPE_INDEX egt_13_142 [] = {0xFF01,924,0xFFFF};


static const struct desc_info desc_142[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_142), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_142), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_142), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_142), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_142), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_142), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_142), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_142), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_142), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_142), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_142), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_142), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x011B /*141*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_142), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3791, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3792, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_142), 3785, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3786, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3788, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3789, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 3790, 0xFFFFFFFF},
};
void Init142(void)
{
	IDSC(desc_142, 0, 141);
	IDSC(desc_142 + 1, 1, 141);
	IDSC(desc_142 + 32, 284, 141);
}


#ifdef __cplusplus
}
#endif
